#!/bin/bash

# pom  9-11-56


## ------------ START --------------
#--------------------------------
TITLE1="Edit LDAP_HOST and LDAP_BASE "
FILE1=/etc/freeradius/imap-authen.sh
FILE2=/etc/freeradius/check-ldap.sh
HOST1=$(grep 'LDAP_HOST=' ${FILE2} | cut -d\" -f2)
BASE1=$(grep 'LDAP_BASE=' ${FILE2} | cut -d\" -f2)
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15

dialog --backtitle "$0" --title "${TITLE1} "  \
--colors --form "\n Edit \Zb\Z1${FILE1}\Zn (AUTHEN_LDAP=YES)\n Edit \Zb\Z1${FILE2}\Zn " 25 70 3 \
"LDAP_HOST : " 1 1 "${HOST1}" 1 15 40 60 \
"LDAP_BASE : " 2 1 "${BASE1}" 2 15 40 60  2> $tempfile

retval=$?

case $retval in
  0)
     echo "OK";
     ;;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
      echo "ESC pressed."
    exit
    ;;
esac
#--------------------------------
HOST1=$(head -1 ${tempfile})
BASE1=$(tail -1 ${tempfile})

     sed -i '/AUTHEN_LDAP=/ s/NO/YES/g' ${FILE1}
     sed -i '/LDAP_HOST=/ c LDAP_HOST='\"${HOST1}\"'' ${FILE2}
     sed -i '/LDAP_BASE=/ c LDAP_BASE='\"${BASE1}\"'' ${FILE2}


dialog --colors --backtitle "$0" --title "view only \Zb\Z1${FILE1}\Zn"  --textbox ${FILE1} 20 70
dialog --colors --backtitle "$0" --title "view only \Zb\Z1${FILE2}\Zn"  --textbox ${FILE2} 20 70
